Index: scripts/bacula.in
--- scripts/bacula.in.orig	2005-07-04 21:57:31.000000000 +0200
+++ scripts/bacula.in	2005-08-20 13:22:03.830778000 +0200
@@ -21,11 +21,11 @@
 #  easier to "steal" this code for the development 
 #  environment where they are different.
 #  
-BACFDBIN=@sbindir@
+BACFDBIN=@scriptdir@
 BACFDCFG=@sysconfdir@
-BACSDBIN=@sbindir@
+BACSDBIN=@scriptdir@
 BACSDCFG=@sysconfdir@
-BACDIRBIN=@sbindir@
+BACDIRBIN=@scriptdir@
 BACDIRCFG=@sysconfdir@
 PIDDIR=@piddir@
 SUBSYSDIR=@subsysdir@
@@ -203,9 +203,15 @@
    export LD_ASSUME_KERNEL=2.4.19
 fi
 
-case "$1" in
+action=$1
+debug=$2
+[ -n "$3" ] && enable_dir=$3 || enable_dir=yes
+[ -n "$4" ] && enable_sd=$4  || enable_sd=yes
+[ -n "$5" ] && enable_fd=$5  || enable_fd=yes
+
+case "$action" in
    start)
-      [ -x ${BACSDBIN}/bacula-sd ] && {
+      [ "$enable_sd" = "yes" ] && [ -x ${BACSDBIN}/bacula-sd ] && {
 	 echo "Starting the Bacula Storage daemon"
 	 OPTIONS=''
 	 if [ "${SD_USER}" != '' ]; then
@@ -216,10 +222,10 @@
 	    OPTIONS="${OPTIONS} -g ${SD_GROUP}"
 	 fi
 
-	 ${BACSDBIN}/bacula-sd $2 ${OPTIONS} -v -c ${BACSDCFG}/bacula-sd.conf
+	 ${BACSDBIN}/bacula-sd $debug ${OPTIONS} -v -c ${BACSDCFG}/bacula-sd.conf
       }
 
-      [ -x ${BACFDBIN}/bacula-fd ] && {
+      [ "$enable_fd" = "yes" ] && [ -x ${BACFDBIN}/bacula-fd ] && {
 	 echo "Starting the Bacula File daemon"
 	 OPTIONS=''
 	 if [ "${FD_USER}" != '' ]; then
@@ -230,10 +236,10 @@
 	    OPTIONS="${OPTIONS} -g ${FD_GROUP}"
 	 fi
 
-	 ${BACFDBIN}/bacula-fd $2 ${OPTIONS} -v -c ${BACFDCFG}/bacula-fd.conf
+	 ${BACFDBIN}/bacula-fd $debug ${OPTIONS} -v -c ${BACFDCFG}/bacula-fd.conf
       }
 
-      [ -x ${BACDIRBIN}/bacula-dir ] && { 
+      [ "$enable_dir" = "yes" ] && [ -x ${BACDIRBIN}/bacula-dir ] && { 
 	  sleep 2
 	  echo "Starting the Bacula Director daemon"
 	 OPTIONS=''
@@ -245,23 +251,23 @@
 	    OPTIONS="${OPTIONS} -g ${DIR_GROUP}"
 	 fi
 
-	 ${BACDIRBIN}/bacula-dir $2 ${OPTIONS} -v -c ${BACDIRCFG}/bacula-dir.conf
+	 ${BACDIRBIN}/bacula-dir $debug ${OPTIONS} -v -c ${BACDIRCFG}/bacula-dir.conf
       }
       ;;
 
    stop)
       # Stop the FD first so that SD will fail jobs and update catalog
-      [ -x ${BACFDBIN}/bacula-fd ] && {
+      [ "$enable_fd" = "yes" ] && [ -x ${BACFDBIN}/bacula-fd ] && {
 	 echo "Stopping the Bacula File daemon"
 	 killproc ${BACFDBIN}/bacula-fd ${FD_PORT}
       }
 
-      [ -x ${BACSDBIN}/bacula-sd ] && {
+      [ "$enable_sd" = "yes" ] && [ -x ${BACSDBIN}/bacula-sd ] && {
 	 echo "Stopping the Bacula Storage daemon"
 	 killproc ${BACSDBIN}/bacula-sd ${SD_PORT}
       }
 
-      [ -x ${BACDIRBIN}/bacula-dir ] && {
+      [ "$enable_dir" = "yes" ] && [ -x ${BACDIRBIN}/bacula-dir ] && {
 	 echo "Stopping the Bacula Director daemon"
 	 killproc ${BACDIRBIN}/bacula-dir ${DIR_PORT}
       }
@@ -269,15 +275,15 @@
       ;;
 
    restart)
-      $0 stop
+      $0 stop $debug $enable_dir $enable_sd $enable_fd
       sleep 5
-      $0 start
+      $0 start $debug $enable_dir $enable_sd $enable_fd
       ;;
 
    status)
-      [ -x ${BACSDBIN}/bacula-sd   ] && status ${BACSDBIN}/bacula-sd  ${SD_PORT}
-      [ -x ${BACFDBIN}/bacula-fd   ] && status ${BACFDBIN}/bacula-fd  ${FD_PORT}
-      [ -x ${BACDIRBIN}/bacula-dir ] && status ${BACDIRBIN}/bacula-dir ${DIR_PORT}
+      [ "$enable_sd" = "yes" ] && [ -x ${BACSDBIN}/bacula-sd   ] && status ${BACSDBIN}/bacula-sd  ${SD_PORT}
+      [ "$enable_fd" = "yes" ] && [ -x ${BACFDBIN}/bacula-fd   ] && status ${BACFDBIN}/bacula-fd  ${FD_PORT}
+      [ "$enable_dir" = "yes" ] && [ -x ${BACDIRBIN}/bacula-dir ] && status ${BACDIRBIN}/bacula-dir ${DIR_PORT}
       ;;
 
    *)
Index: scripts/btraceback.in
--- scripts/btraceback.in.orig	2005-05-08 11:18:21.000000000 +0200
+++ scripts/btraceback.in	2005-08-20 20:06:37.084652000 +0200
@@ -11,6 +11,9 @@
 PNAME=`basename $1`
 if test `uname -s` = SunOS ; then
   gcore -o @working_dir@/${PNAME} $2
+fi
+if test `uname -s` = SunOS &&
+   test -n `which dbx 2>/dev/null` ; then
   dbx $1 $2 <@scriptdir@/btraceback.dbx 2>&1 \
    | @sbindir@/bsmtp -h @smtp_host@ -f @dump_email@ -s "Bacula DBX traceback of ${PNAME}" @dump_email@
 else
Index: src/dird/bacula-dir.conf.in
--- src/dird/bacula-dir.conf.in.orig	2005-07-04 21:57:32.000000000 +0200
+++ src/dird/bacula-dir.conf.in	2005-08-24 08:09:43.569070000 +0200
@@ -29,7 +29,8 @@
   Level = Incremental
   Client = @hostname@-fd 
   FileSet = "Full Set"
-  Schedule = "WeeklyCycle"
+ #Schedule = "WeeklyCycle"
+  Schedule = "NEVER"
   Storage = File
   Messages = Standard
   Pool = Default
@@ -105,7 +106,7 @@
 #    directory to give a reasonable FileSet to backup to
 #    disk storage during initial testing.
 #
-    File = @BUILD_DIR@
+    File = @scriptdir@
   }
 
 #
@@ -120,6 +121,11 @@
   }
 }
 
+# This schedule can be used to disable automatic scheduling
+Schedule {
+  Name = NEVER
+}
+
 #
 # When to do the backups, full backup on first sunday of the month,
 #  differential (i.e. incremental since full) every other sunday,
